Skip to main content
PATCH
/
v2
/
checkout
/
{slug}
/
session
Patch Checkout By Slug Session
curl --request PATCH \
  --url https://api.pagou.ai/v2/checkout/{slug}/session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-checkout-session-token: <x-checkout-session-token>' \
  --data '
{
  "buyer": {
    "name": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>",
    "birth_date": "<string>",
    "document": {
      "type": "EIN",
      "number": "<string>"
    },
    "address": {
      "street": "<string>",
      "number": "<string>",
      "complement": "<string>",
      "neighborhood": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zipCode": "<string>",
      "country": "<string>"
    }
  },
  "payment_method": "pix"
}
'
{
  "success": true,
  "requestId": "<string>",
  "data": {
    "expires_at": "<string>",
    "status": "<string>",
    "updated_at": "<string>",
    "selected_payment_method": "pix",
    "selected_payment_method_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-checkout-session-token
string
required
Minimum string length: 1

Path Parameters

slug
string
required
Required string length: 3 - 255

Body

application/json
buyer
object
payment_method
enum<string> | null
Available options:
pix,
voucher,
credit_card

Response

Success

success
boolean
required
requestId
string
required
data
object
required